## grokevt 0.4.1

=== Makefile ===
# $Id: Makefile 36 2005-07-02 21:12:19Z tim $

# This extracts the major and minor version of the python executable in
# the current PATH.
PYTHON_VERSION:=`echo 'import sys;\
	print "%d.%d" % (sys.version_info[0],sys.version_info[1])' | python`

# Installation prefixes.  Change to install elsewhere.
PREFIX=/usr/local
LIB_PREFIX:=$(PREFIX)/lib/python$(PYTHON_VERSION)/site-packages
BIN_PREFIX=$(PREFIX)/bin
ETC_PREFIX=$(PREFIX)/etc/grokevt
DOC_PREFIX=$(PREFIX)/share/doc/grokevt
MAN_PREFIX=$(PREFIX)/man

################################################################################

BUILD=$(CURDIR)/build
BUILD_BIN=$(BUILD)/bin
BUILD_LIB=$(BUILD)/lib
BUILD_ETC=$(BUILD)/etc
BUILD_DOC=$(BUILD)/doc

BUILD_TREE=$(BUILD_BIN) $(BUILD_LIB) $(BUILD_ETC) $(BUILD_DOC)
SUB_DIRS=bin lib etc doc

.PHONY: $(SUB_DIRS) clean
export


all: $(BUILD_TREE) $(SUB_DIRS)

# XXX: This should be more generalized.
install: all
	mkdir -p $(BIN_PREFIX)
	mkdir -p $(LIB_PREFIX)
	mkdir -p $(ETC_PREFIX)
	mkdir -p $(DOC_PREFIX)
	cp -r $(BUILD_BIN)/* $(BIN_PREFIX)
	cp -r $(BUILD_LIB)/* $(LIB_PREFIX)
	cp -r $(BUILD_ETC)/* $(ETC_PREFIX)
	cp -r $(BUILD_DOC)/* $(DOC_PREFIX)
	$(MAKE) -C doc install


$(SUB_DIRS):
	$(MAKE) -C $@

$(BUILD_TREE):
	mkdir -p $@

clean:
	rm -rf $(BUILD)

=== doc/Makefile ===
# $Id: Makefile 100 2007-02-03 18:53:35Z tim $

sh-var-F=$F
MAN_PAGES=1/grokevt-addlog.1 1/grokevt-builddb.1 1/grokevt-dumpmsgs.1\
	1/grokevt-findlogs.1 1/grokevt-parselog.1 1/grokevt-ripdll.1 7/grokevt.7

build:
	mkdir -p $(BUILD_DOC)/devel
	cp *.docbook $(BUILD_DOC)
	cp devel/*.txt $(BUILD_DOC)/devel
	mkdir -p $(BUILD_DOC)/man/man1
	mkdir -p $(BUILD_DOC)/man/man7
	for F in $(foreach p,$(MAN_PAGES),man/man$(p).gz);\
		do cp $(value sh-var-F) $(BUILD_DOC)/$(value sh-var-F); done

install:
	mkdir -p $(MAN_PREFIX)/man1
	mkdir -p $(MAN_PREFIX)/man7
	ln -sf $(DOC_PREFIX)/man/man1/* $(MAN_PREFIX)/man1
	ln -sf $(DOC_PREFIX)/man/man7/* $(MAN_PREFIX)/man7


#XXX: Used during release only
$(foreach p,$(MAN_PAGES),man/man$(p)):
	docbook2x-man --to-stdout $(notdir $@).docbook > $@

$(foreach p,$(MAN_PAGES),man/man$(p).gz): $(foreach p,$(MAN_PAGES),man/man$(p))
	gzip -c -9 $(subst .gz,,$@) > $@ && rm $(subst .gz,,$@)

release: $(foreach p,$(MAN_PAGES),man/man$(p).gz)


release-clean:
	rm -f $(foreach p,$(MAN_PAGES),man/man$(p))
	rm -f $(foreach p,$(MAN_PAGES),man/man$(p).gz)
	rm -f $(foreach p,$(MAN_PAGES),$(basename $(notdir $(p))).txt)

=== debian/changelog ===
grokevt (0.4.1-10) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 16 Jun 2015 23:33:25 -0300

grokevt (0.4.1-9) experimental; urgency=medium

  * Team upload.
  * Migrations:
      - DebSrc to 3.0.
      - Updated the DH level to 9.
  * debian/control:
      - Removed quilt from Build-Depends field. DH9 no longer needs this.
      - Updated the Vcs-* fields.
  * debian/copyright:
      - Added a header in 1.0 format.
      - Updated all information.
      - Updated the GPL-2 license text.
  * debian/patches/01-config-path.patch: added the Last-Update field to header.
  * debian/rules:
      - Little adjustments in format.
      - Removed 'quilt' as helper to build.
  * debian/source.lintian-overrides: useless now. Removed.
  * debian/watch: removed an useless source.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 11 Mar 2015 20:37:57 -0300

grokevt (0.4.1-8) experimental; urgency=medium

  * Team upload.
  * Bumped Standards-Version to 3.9.6.
  * debian/control:
      - Added python as build dependency.
      - Improved the long description.
      - Replaced the obsolete python-support by dh-python.
  * debian/rules: added python2 as helper.
  * debian/watch: added new tracking rules.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 17 Nov 2014 11:42:10 -0200

grokevt (0.4.1-7) unstable; urgency=low

  [ Christophe Monniez ]
  * Fixing quilt depency in control file.
  * Bumping standards version to 3.9.0.
  * Renaming the example directory to avoid confusion (Closes: #590094).

  [ Michael Prokop ]
  * Add debian/dirs to create directory
    /usr/share/doc/grokevt/config-examples.

 -- Michael Prokop <mika@debian.org>  Wed, 28 Jul 2010 11:48:45 -0400

grokevt (0.4.1-6) unstable; urgency=low

  [ Daniel Baumann ]
  * Minimizing rules file.

  [ Christophe Monniez ]
  * Fixing VCS fields in control file.
  * Fixing etc path in Makefile.

  [ Michael Prokop ]
  * Bump Standards-Version to 3.8.3 (no further changes).
  * Bump Build-Depends to debhelper (>= 7.0.50~).

 -- Michael Prokop <mika@debian.org>  Thu, 05 Nov 2009 01:00:38 +0100

grokevt (0.4.1-5) unstable; urgency=low

  [ Christophe Monniez ]
  * Added cpio as a build dependency (Closes: #537036).

 -- Daniel Baumann <daniel@debian.org>  Wed, 15 Jul 2009 14:03:03 +0200

grokevt (0.4.1-4) unstable; urgency=low

  * Updating package to standards version 3.8.2.
  * Adding lintian overrides.
  * Using correct rfc-2822 date formats in changelog.

 -- Daniel Baumann <daniel@debian.org>  Thu, 09 Jul 2009 11:59:29 +0200

grokevt (0.4.1-3) unstable; urgency=low

  * Updating vcs fields.
  * Adding myself to copyright file.
  * Replacing obsolete dh_clean -k with dh_prep.
  * Updating year in copyright file.
  * Updating package to standards 3.8.1.
  * Using quilt rather than dpatch.
  * Tidy rules file.

 -- Daniel Baumann <daniel@debian.org>  Thu, 28 May 2009 21:27:51 +0200

grokevt (0.4.1-2) unstable; urgency=low

  [ Christophe Monniez ]
  * Patch from Dr. Markus Waldeck to fix the wrong config directory bug
    (Closes: #491430).
  * Adjusting the patch list to execute the correct patch.
  * Adding the missing dpatch file.

 -- Daniel Baumann <daniel@debian.org>  Tue, 02 Sep 2008 17:31:00 +0200

grokevt (0.4.1-1) unstable; urgency=low

  [ Christophe Monniez ]
  * New maintainer.
  * Merging upstream version 0.4.1.

  [ Daniel Baumann ]
  * Adding full license headers to copyright file.
  * Rewrapping rules.
  * Upgrading package to debhelper 7.
  * Updating to standards 3.8.0.

 -- Daniel Baumann <daniel@debian.org>  Wed, 11 Jun 2008 09:31:00 +0200

grokevt (0.4.0-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Correcting debian copyright file.
  * Moving example files from /etc to /usr/share/doc.
  * Removing useless whitespaces.
  * Cleaning up rules.
  * Rewrapping copyright.
  * Rewrapping long description.

  [ David Paleino ]
  * Initial release (Closes: #467357).

 -- Daniel Baumann <daniel@debian.org>  Thu, 3 Apr 2008 20:55:00 +0200

=== debian/control ===
Source: grokevt
Section: utils
Priority: optional
Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Uploaders: Christophe Monniez <christophe.monniez@fccu.be>
Build-Depends: debhelper (>= 9), dh-python, python, cpio
Standards-Version: 3.9.6
Homepage: http://projects.sentinelchicken.org/grokevt/
Vcs-Browser: http://anonscm.debian.org/cgit/forensics/grokevt.git
Vcs-Git: git://anonscm.debian.org/forensics/grokevt.git

Package: grokevt
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, reglookup
Description: scripts for reading Microsoft Windows event log files
 GrokEVT is a collection of scripts built for reading Microsoft Windows
 NT/2000/XP/2003 event log files.
 .
 Currently the scripts work together on one or more mounted Microsoft Windows
 partitions to extract all information needed (registry entries, message
 templates, and log files) to convert the logs to a human-readable format.
 .
 This program is useful in forensics investigations.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_install:
	dh_auto_install -- PREFIX=$(CURDIR)/debian/grokevt/usr \
                           ETC_PREFIX=$(CURDIR)/debian/grokevt/etc/grokevt \
                           MAN_PREFIX=$(CURDIR)/debian/grokevt/usr/share/man

	rm -rf debian/grokevt/usr/share/man
	mv debian/grokevt/usr/share/doc/grokevt/man debian/grokevt/usr/share
	mv debian/grokevt/etc/grokevt/systems/example debian/grokevt/usr/share/doc/grokevt/config-examples/example1
	find debian/grokevt/usr/share/doc/grokevt -name "*docbook*" | xargs rm -f

=== debian/watch ===
version=3
http://projects.sentinelchicken.org/grokevt/download/ .*/(?:downloads|files)/grokevt-(\d\S+)\.tar\.(?:bz2|gz|xz)
https://code.google.com/p/grokevt/downloads/list .*name=grokevt-(\d\S+)\.tar\.gz.*

## grokevt 0.5.0

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,10 @@
-# $Id: Makefile 36 2005-07-02 21:12:19Z tim $
+# $Id: Makefile 117 2011-06-15 20:20:13Z tim $
 
-# This extracts the major and minor version of the python executable in
-# the current PATH.
-PYTHON_VERSION:=`echo 'import sys;\
-	print "%d.%d" % (sys.version_info[0],sys.version_info[1])' | python`
+PYTHON3_PATH:=`which python3`
+PYTHON_PATH:=`which python`
 
 # Installation prefixes.  Change to install elsewhere.
 PREFIX=/usr/local
-LIB_PREFIX:=$(PREFIX)/lib/python$(PYTHON_VERSION)/site-packages
 BIN_PREFIX=$(PREFIX)/bin
 ETC_PREFIX=$(PREFIX)/etc/grokevt
 DOC_PREFIX=$(PREFIX)/share/doc/grokevt
@@ -33,13 +30,13 @@
 # XXX: This should be more generalized.
 install: all
 	mkdir -p $(BIN_PREFIX)
-	mkdir -p $(LIB_PREFIX)
 	mkdir -p $(ETC_PREFIX)
 	mkdir -p $(DOC_PREFIX)
 	cp -r $(BUILD_BIN)/* $(BIN_PREFIX)
-	cp -r $(BUILD_LIB)/* $(LIB_PREFIX)
 	cp -r $(BUILD_ETC)/* $(ETC_PREFIX)
 	cp -r $(BUILD_DOC)/* $(DOC_PREFIX)
+	if [ "x$(PYTHON_PATH)" != "x" ]; then $(PYTHON_PATH) grokevt-distutils.py install; fi
+	if [ "x$(PYTHON3_PATH)" != "x" ]; then $(PYTHON_PATH) grokevt-distutils.py install; fi
 	$(MAKE) -C doc install

=== bin/Makefile ===
# $Id: Makefile 105 2007-03-29 01:00:17Z tim $

################################################################################

ADDLOG=$(BUILD_BIN)/grokevt-addlog
BUILDDB=$(BUILD_BIN)/grokevt-builddb
DUMPMSGS=$(BUILD_BIN)/grokevt-dumpmsgs
FINDLOGS=$(BUILD_BIN)/grokevt-findlogs
PARSELOG=$(BUILD_BIN)/grokevt-parselog
RIPDLL=$(BUILD_BIN)/grokevt-ripdll
FILES=$(ADDLOG) $(BUILDDB) $(DUMPMSGS) $(FINDLOGS) $(PARSELOG) $(RIPDLL)

all: $(FILES)

$(ADDLOG): grokevt-addlog
	install -m 0755 grokevt-addlog $(ADDLOG)

$(BUILDDB): grokevt-builddb
	install -m 0755 grokevt-builddb $(BUILDDB)

$(DUMPMSGS): grokevt-dumpmsgs
	install -m 0755 grokevt-dumpmsgs $(DUMPMSGS)

$(FINDLOGS): grokevt-findlogs
	install -m 0755 grokevt-findlogs $(FINDLOGS)

$(PARSELOG): grokevt-parselog
	install -m 0755 grokevt-parselog $(PARSELOG)

$(RIPDLL): grokevt-ripdll
	install -m 0755 grokevt-ripdll $(RIPDLL)

=== doc/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 100 2007-02-03 18:53:35Z tim $
+# $Id: Makefile 119 2011-06-20 17:14:14Z tim $
 
 sh-var-F=$F
 MAN_PAGES=1/grokevt-addlog.1 1/grokevt-builddb.1 1/grokevt-dumpmsgs.1\
@@ -22,7 +22,8 @@
 
 #XXX: Used during release only
 $(foreach p,$(MAN_PAGES),man/man$(p)):
-	docbook2x-man --to-stdout $(notdir $@).docbook > $@
+	docbook2x-man --to-stdout $(notdir $@).docbook \
+	| sed 's/.SH DESCRIPTION/\n.SH DESCRIPTION/' | sed 's/^\\fR.PP$$/\\fR\n.PP/' > $@
 
 $(foreach p,$(MAN_PAGES),man/man$(p).gz): $(foreach p,$(MAN_PAGES),man/man$(p))
 	gzip -c -9 $(subst .gz,,$@) > $@ && rm $(subst .gz,,$@)

=== etc/Makefile ===
# $Id: Makefile 9 2005-06-17 00:11:20Z tim $

################################################################################

SYSTEMS=$(BUILD_ETC)/systems
FILES=$(SYSTEMS)

all: $(FILES)

$(SYSTEMS):
	rm -rf $(SYSTEMS)
	cd systems && find . | grep -v '\.svn' | cpio -pmd $(SYSTEMS)

=== lib/Makefile ===
# $Id: Makefile 9 2005-06-17 00:11:20Z tim $

################################################################################

GROKEVT=$(BUILD_LIB)/grokevt.py
FILES=$(GROKEVT)

all: $(FILES)

$(GROKEVT): grokevt.py
	cp grokevt.py $(GROKEVT)
	echo 'PATH_CONFIG="$(ETC_PREFIX)"' >> $(GROKEVT)

=== debian/changelog ===
grokevt (0.5.0-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/patches/remove_distutils.patch: Add patch to remove use of distutils.
  * d/control: Remove python3-distutils from Build Dependency. Add
    python3-setuptools as Build Dependency (Closes: #1065871).

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 12 Jul 2024 07:06:11 -0300

grokevt (0.5.0-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Team upload.
  * Update standards version to 4.6.0, no changes needed.
  * Update standards version to 4.6.1, no changes needed.

  [ Andre Correa ]
  * Bump standards version to 4.7.0, no changes needed
  * New patch to make build reproducible (closes: #1068372)
  * Set DEP3 metadata to patches

 -- Andre Correa <andre.correa.silva203@gmail.com>  Mon, 20 Apr 2024 15:20:58 -0300

grokevt (0.5.0-5) unstable; urgency=medium

  * Bump DH to 13
  * Bump Standards-Version to 4.5.1
  * Configure git-buildpackage for Debian

 -- Samuel Henrique <samueloph@debian.org>  Sat, 30 Jan 2021 21:34:03 +0000

grokevt (0.5.0-4) unstable; urgency=medium

  * Use debhelper-compat
  * Update Standards-Version to 4.4.1
  * Change my email address to the debian one
  * Add salsa-ci.yml
  * d/control: Add Rules-Requires-Root: no
  * d/copyright: Update debian/* entry

 -- Samuel Henrique <samueloph@debian.org>  Sun, 24 Nov 2019 22:08:20 +0000

grokevt (0.5.0-3) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Drop Christophe Monniez from Uploaders

  [ Samuel Henrique ]
  * Bump DH level to 12
  * Bump Standards-Version to 4.4.0
  * d/control: Add missing dependency python3-pyregfi
  * d/copyright: Use secure url
  * d/p/python3-shebang.patch: Switch to python3 (closes: #936664)

 -- Samuel Henrique <samueloph@debian.org>  Wed, 04 Sep 2019 01:24:54 +0100

grokevt (0.5.0-2) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org

  [ Samuel Henrique ]
  * Bump DH to 11
  * Bump Standards-Version to 4.1.4.1
  * d/control: fix FTBFS: add missing build-dep on python3-distutils
    (closes: #896758)
  * d/copyright: update debian/* entry

 -- Samuel Henrique <samueloph@debian.org>  Wed, 02 May 2018 01:30:48 -0300

grokevt (0.5.0-1) unstable; urgency=medium

  * New upstream release 0.5.0:
    - Fix manpage formatting (closes: #705326)
  * Bump DH level to 10
  * Bump watch to v4
  * Bump Standards-Version to 4.1.1
  * Build with python3
  * Add myself as an uploader
  * d/control: point Vcs-* fields to https
  * d/copyright: remove obsolete google code url
  * d/patches:
    - refresh patches
    - python3_path: fix to use python3 instead of python
    - install_prefix: use $(PREFIX) variable on Makefile
    - merge the following 3 patches into one:
      ~ python3_path, install_prefix and 01-config-path becomes
        makefile.patch
    - example_configuration: new patch to correct path of example
      configs on docs
  * d/watch: remove obsolete google code url
  * wrap-and-sort -a

 -- Samuel Henrique <samueloph@debian.org>  Sat, 18 Nov 2017 11:45:40 -0200

=== debian/control ===
Source: grokevt
Section: utils
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Samuel Henrique <samueloph@debian.org>
Build-Depends: debhelper-compat (= 13),
               cpio,
               dh-python,
               python3,
               python3-setuptools,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: http://projects.sentinelchicken.org/grokevt/
Vcs-Browser: https://salsa.debian.org/pkg-security-team/grokevt
Vcs-Git: https://salsa.debian.org/pkg-security-team/grokevt.git

Package: grokevt
Architecture: all
Depends: reglookup,
         python3-pyregfi,
         ${misc:Depends},
         ${python3:Depends}
Description: scripts for reading Microsoft Windows event log files
 GrokEVT is a collection of scripts built for reading Microsoft Windows
 NT/2000/XP/2003 event log files.
 .
 Currently the scripts work together on one or more mounted Microsoft Windows
 partitions to extract all information needed (registry entries, message
 templates, and log files) to convert the logs to a human-readable format.
 .
 This program is useful in forensics investigations.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with python2
+	dh $@ --with python3
 
 override_dh_auto_install:
 	dh_auto_install -- PREFIX=$(CURDIR)/debian/grokevt/usr \
